NODE_ENV=production
APP_PORT=3999
APP_NAME="NestJS API"
API_PREFIX=api
FRONTEND_DOMAIN=http://localhost:3999
BACKEND_DOMAIN=http://localhost:3999

# External database - not part of this container
DATABASE_TYPE=mysql
DATABASE_HOST=change-me
DATABASE_PORT=3306
DATABASE_USERNAME=change-me
DATABASE_PASSWORD=change-me
DATABASE_NAME=change-me
DATABASE_SYNCHRONIZE=false
DATABASE_MAX_CONNECTIONS=100
DATABASE_SSL_ENABLED=false
DATABASE_REJECT_UNAUTHORIZED=false
DATABASE_CA=
DATABASE_KEY=
DATABASE_CERT=

MAIL_HOST=change-me
MAIL_PORT=465
MAIL_USER=change-me
MAIL_PASSWORD=change-me
MAIL_IGNORE_TLS=true
MAIL_SECURE=true
MAIL_REQUIRE_TLS=false
MAIL_DEFAULT_EMAIL=noreply@example.com
MAIL_DEFAULT_NAME=Api
MAIL_CLIENT_PORT=1080

AUTH_JWT_SECRET=change-me
AUTH_JWT_TOKEN_EXPIRES_IN=100d

WORKER_HOST=redis://redis:6379/1
